/*
 * $Id$
 */

package org.apache.maven.archiva.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryContentStatistics implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field repositoryId
     */
    private String repositoryId;

    /**
     * Field whenGathered
     */
    private java.util.Date whenGathered;

    /**
     * Field duration
     */
    private long duration = 0;

    /**
     * Field totalFileCount
     */
    private long totalFileCount = 0;

    /**
     * Field newFileCount
     */
    private long newFileCount = 0;

    /**
     * Field totalProjectCount
     */
    private long totalProjectCount = 0;

    /**
     * Field totalGroupCount
     */
    private long totalGroupCount = 0;

    /**
     * Field totalArtifactCount
     */
    private long totalArtifactCount = 0;

    /**
     * Field totalSize
     */
    private long totalSize = 0;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get 
     *             The duration (in milliseconds) for the gathering
     * of the statistics.
     *           
     */
    public long getDuration()
    {
        return this.duration;
    } //-- long getDuration() 

    /**
     * Get 
     *             The number of new files discovered.
     *           
     */
    public long getNewFileCount()
    {
        return this.newFileCount;
    } //-- long getNewFileCount() 

    /**
     * Get 
     *             The repository id the statistics belong to.
     *           
     */
    public String getRepositoryId()
    {
        return this.repositoryId;
    } //-- String getRepositoryId() 

    /**
     * Get 
     *             The total number of artifacts in the repository.
     * 
     *           
     */
    public long getTotalArtifactCount()
    {
        return this.totalArtifactCount;
    } //-- long getTotalArtifactCount() 

    /**
     * Get 
     *             The total number of files in the repository.
     *           
     */
    public long getTotalFileCount()
    {
        return this.totalFileCount;
    } //-- long getTotalFileCount() 

    /**
     * Get 
     *             The total number of unique groups in the
     * repository.
     *           
     */
    public long getTotalGroupCount()
    {
        return this.totalGroupCount;
    } //-- long getTotalGroupCount() 

    /**
     * Get 
     *             The total number of unique projects in the
     * repository.
     *           
     */
    public long getTotalProjectCount()
    {
        return this.totalProjectCount;
    } //-- long getTotalProjectCount() 

    /**
     * Get 
     *             The total size in bytes of the repository.
     *           
     */
    public long getTotalSize()
    {
        return this.totalSize;
    } //-- long getTotalSize() 

    /**
     * Get 
     *             The timestamp on when this set of statistics was
     * gathered.
     *           
     */
    public java.util.Date getWhenGathered()
    {
        return this.whenGathered;
    } //-- java.util.Date getWhenGathered() 

    /**
     * Set 
     *             The duration (in milliseconds) for the gathering
     * of the statistics.
     *           
     * 
     * @param duration
     */
    public void setDuration(long duration)
    {
        this.duration = duration;
    } //-- void setDuration(long) 

    /**
     * Set 
     *             The number of new files discovered.
     *           
     * 
     * @param newFileCount
     */
    public void setNewFileCount(long newFileCount)
    {
        this.newFileCount = newFileCount;
    } //-- void setNewFileCount(long) 

    /**
     * Set 
     *             The repository id the statistics belong to.
     *           
     * 
     * @param repositoryId
     */
    public void setRepositoryId(String repositoryId)
    {
        this.repositoryId = repositoryId;
    } //-- void setRepositoryId(String) 

    /**
     * Set 
     *             The total number of artifacts in the repository.
     * 
     *           
     * 
     * @param totalArtifactCount
     */
    public void setTotalArtifactCount(long totalArtifactCount)
    {
        this.totalArtifactCount = totalArtifactCount;
    } //-- void setTotalArtifactCount(long) 

    /**
     * Set 
     *             The total number of files in the repository.
     *           
     * 
     * @param totalFileCount
     */
    public void setTotalFileCount(long totalFileCount)
    {
        this.totalFileCount = totalFileCount;
    } //-- void setTotalFileCount(long) 

    /**
     * Set 
     *             The total number of unique groups in the
     * repository.
     *           
     * 
     * @param totalGroupCount
     */
    public void setTotalGroupCount(long totalGroupCount)
    {
        this.totalGroupCount = totalGroupCount;
    } //-- void setTotalGroupCount(long) 

    /**
     * Set 
     *             The total number of unique projects in the
     * repository.
     *           
     * 
     * @param totalProjectCount
     */
    public void setTotalProjectCount(long totalProjectCount)
    {
        this.totalProjectCount = totalProjectCount;
    } //-- void setTotalProjectCount(long) 

    /**
     * Set 
     *             The total size in bytes of the repository.
     *           
     * 
     * @param totalSize
     */
    public void setTotalSize(long totalSize)
    {
        this.totalSize = totalSize;
    } //-- void setTotalSize(long) 

    /**
     * Set 
     *             The timestamp on when this set of statistics was
     * gathered.
     *           
     * 
     * @param whenGathered
     */
    public void setWhenGathered(java.util.Date whenGathered)
    {
        this.whenGathered = whenGathered;
    } //-- void setWhenGathered(java.util.Date) 


    private static final long serialVersionUID = -7113629916828442780L;
          
    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
